trls.influence {spatial} | R Documentation

## Regression diagnostics for trend surfaces

### Description

This function provides the basic quantities which are used in forming a variety of diagnostics for checking the quality of regression fits for trend surfaces calculated by `surf.ls`.

### Usage

    trls.influence(object)
    ## S3 method for class 'trls':
    plot(x, border = "red", col = NA, pch = 4, cex = 0.6,
         add = FALSE, div = 8, ...)

### Arguments

`object, x` | Fitted trend surface model from `surf.ls`
`div` | scaling factor for influence circle radii in `plot.trls`
`add` | add influence plot to existing graphics if `TRUE`
`border, col, pch, cex, ...` | additional graphical parameters

### Value

`trls.influence` returns a list with components:

`r` | raw residuals as given by `residuals.trls`
`hii` | diagonal elements of the Hat matrix
`stresid` | standardised residuals
`Di` | Cook's statistic

### References

Unwin, D. J., Wrigley, N. (1987) Towards a general-theory of control point distribution effects in trend surface models. Computers and Geosciences, 13, 351–355.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`surf.ls`, `influence.measures`, `plot.lm`

### Examples

    library(MASS)  # for eqscplot
    data(topo, package = "MASS")
    topo2 <- surf.ls(2, topo)
    infl.topo2 <- trls.influence(topo2)
    (cand <- as.data.frame(infl.topo2)[abs(infl.topo2$stresid) > 1.5, ])
    cand.xy <- topo[as.integer(rownames(cand)), c("x", "y")]
    trsurf <- trmat(topo2, 0, 6.5, 0, 6.5, 50)
    eqscplot(trsurf, type = "n")
    contour(trsurf, add = TRUE, col = "grey")
    plot(topo2, add = TRUE, div = 3)
    points(cand.xy, pch = 16, col = "orange")
    text(cand.xy, labels = rownames(cand.xy), pos = 4, offset = 0.5)

[Package Contents]